petsc-3.7.7 2017-09-25
Report Typos and Errors

# TaoSetMaximumIterations

Sets a maximum number of iterates.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetMaximumIterations(Tao tao,PetscInt maxits)

Logically Collective on Tao

### Input Parameters

| tao | - the Tao solver context
| maxits | - the maximum number of iterates (>=0)

### Options Database Keys

-tao_max_it <its> -sets the maximum number of iterations

### See Also

TaoSetTolerances(), TaoSetMaximumFunctionEvaluations()

Level:intermediate
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages